Eclipse Platform Release 3.7

## org.eclipse.ui.views.properties
Class TextPropertyDescriptor

    java.lang.Object
      org.eclipse.ui.views.properties.PropertyDescriptor
          org.eclipse.ui.views.properties.TextPropertyDescriptor

All Implemented Interfaces:
  IPropertyDescriptor

    public class TextPropertyDescriptor

extends PropertyDescriptor

Descriptor for a property that has a value which should be edited with a text cell editor.

This class may be instantiated; it is not intended to be subclassed.

Example:

     IPropertyDescriptor pd = new TextPropertyDescriptor("surname", "Last Name");

Restriction:
  This class is not intended to be subclassed by clients.

Constructor Summary
`TextPropertyDescriptor(Object id, String displayName)` Creates an property descriptor with the given id and display name.

Method Summary
`CellEditor` `createPropertyEditor(Composite parent)` The `TextPropertyDescriptor` implementation of this `IPropertyDescriptor` method creates and returns a new `TextCellEditor`.

Methods inherited from class org.eclipse.ui.views.properties.PropertyDescriptor
`getAlwaysIncompatible, getCategory, getDescription, getDisplayName, getFilterFlags, getHelpContextIds, getId, getLabelProvider, getValidator, isCompatibleWith, isLabelProviderSet, setAlwaysIncompatible, setCategory, setDescription, setFilterFlags, setHelpContextIds, setLabelProvider, setValidator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextPropertyDescriptor

    public TextPropertyDescriptor(Object id,
                                  String displayName)

  Creates an property descriptor with the given id and display name.

  Parameters:
    `id` - the id of the property
    `displayName` - the name to display for the property

Method Detail

### createPropertyEditor

    public CellEditor createPropertyEditor(Composite parent)

  The `TextPropertyDescriptor` implementation of this `IPropertyDescriptor` method creates and returns a new `TextCellEditor`.

  The editor is configured with the current validator if there is one.

  Specified by:
    `createPropertyEditor` in interface `IPropertyDescriptor`
  Overrides:
    `createPropertyEditor` in class `PropertyDescriptor`
  Parameters:
    `parent` - the parent widget for the cell editor
  Returns:
    the cell editor for this property, or `null` if this property cannot be edited

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.